@title
Cookbook

@intro
A collection of recipes for common Angular application scenarios.

@description
The *Cookbook* offers answers to common implementation questions.

Each cookbook page is a collection of recipes focused on a particular Angular feature or application challenge
such as data binding, cross-component interaction, and communicating with a remote server via HTTP.


~~~ {.l-sub-section}

The cookbook is just getting started. Many more recipes are on the way.


~~~

Each cookbook links to a live sample with every recipe included.

Recipes are deliberately brief and code-centric.
Each recipe links to a relevant page of the [Developer Guide](guide) or the
[API Reference](api) where you can learn more about
the purpose, context, and design choices behind the code snippets.

## Feedback

Post *documentation* requests and comments as
<a href="https://github.com/angular/angular.io/issues" target="_blank" title="Documentation issues on github">
<i>issues</i> on the angular.io</a> github repository.
Fixes (small ones) are greatly appreciated as
<a href="https://github.com/angular/angular.io/pulls" target="_blank" title="Documentation PRs on github">
<i>pull requests</i></a>.

Post issues with *Angular itself* to the [angular](https://github.com/angular/angular) github repository.